package com.jiayue.ipfcst.fileupload.util;

import com.jiayue.ipfcst.common.data.entity.UploadFileLogDetail;

import java.util.ArrayList;
import java.util.List;

/**
 * 文件上报计数器
 *
 * @author xsl
 * @version 3.0
 */
public class FileMutableInteger {
  int value = 0;

  List<UploadFileLogDetail> uploadFileLogDetail = new ArrayList<>();

  public List<UploadFileLogDetail> getUploadFileLogDetail() {
    return uploadFileLogDetail;
  }

  public void setUploadFileLogDetail(List<UploadFileLogDetail> uploadFileLogDetail) {
    this.uploadFileLogDetail = uploadFileLogDetail;
  }

  public FileMutableInteger(int val) {
    this.value = val;
  }

  public int getValue() {
    return value;
  }

  public void setValue(int value) {
    this.value = value;
  }
}
